<!DOCTYPE html>
<html>
<head>
	<title></title>
	<script type="text/javascript" src="jquery-3.3.1.min.js"></script>
</head>
<body>
<form action="functions.php" method="GET">
	<a href="#" id="teste">Adicionar Idade</a>
	<form id="teste3">
		<div class="add">
		<input type="number" name="idade[]">
		</div>
		<input type="submit">
	</form>
</form>
</body>
</html>
<script type="text/javascript">
	$(document).on('click', '#teste', function(){
		$(".add").append("<input type='number' name='idade[]'>");	
	});
</script>